API ReferenceDevicesUpdatesingleimagemetaDeviceid
Update image metadata
Modify metadata (e.g., title, tags) for an existing device image.
Middlewares: authMiddleware, validateDevice
x-api-key<token>
API key for authentication
In: header
Path Parameters
deviceIdstring
Device ObjectId
meta?
uuid?string
Response Body
application/json
curl -X POST "https://api.paperlesspaper.de/v1/devices/updateSingleImageMeta/682fd0d7d4a6325d9d45b86f" \ -H "Content-Type: application/json" \ -d '{}'{
"deviceMeta": null,
"deviceUpdate": null,
"iotUpload": null,
"url": "string"
}Upload image from website URL POST
Fetch and upload an image to the device by providing its URL. Middlewares: `authMiddleware`, `validateDevice`
Fetch recent device upload attempts GET
Return recent image upload decisions and diagnostics for the selected device. Middlewares: `authMiddleware`, `validateDevice`